COPS

Update creator

PATCH
/creators/{id}

Update a creator's profile fields (only the fields you pass change). The creator must already work with your organization. Pass an id from list_creators.

Authorization

apiKeyAuth
headerx-api-key<token>

API key for authentication. Keys are prefixed with cops_.

Path Parameters

id*string
Match^cre_.+[\s\S]*$

Request Body

application/json
  1. body
name?string
Length1 <= length
email?string
Formatemail
avatar?|null
bio?string|null
gender?|null
country?|null
phone?string|null
birthday?string|null
portfolioUrl?|null
tiktokUsername?string|null
instagramUsername?string|null
youtubeUsername?string|null
twitterUsername?string|null
threadsUsername?string|null
facebookUsername?string|null
snapchatUsername?string|null
discordUsername?string|null
discordId?string|null
discordAvatarHash?string|null
userId?string|null
username?|null
isPublic?boolean
Defaulttrue
interests?array<>|null
addressLine1?string|null
addressLine2?string|null
city?string|null
state?string|null
postalCode?string|null
formattedAddress?string|null
latitude?number|null
longitude?number|null

Response Body

Response schema unavailable.

Example Request
curl -X PATCH 'https://cops.app/api/brand/creators/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response200
Empty